{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Schedule list | meliana</title>
{% endblock meta %}
{% block content %}
    {% include 'navbar.html' %}
    <section id="scheduler-body">
        <div class="card schedule-card">
            <h1 class="schedule-title">Schedule List</h1>
            <div class="col">
                <div class="col">
                    <div style="overflow-x:auto;">
                    <table id="dt-horizontal" class="table table-striped centre-items" width="100%">
                        <thead>
                            <tr>
                            <th scope="col">Course</th>
                            <th scope="col">Lecturer</th>
                            <th scope="col">Number of Credit</th>
                            <th scope="col">Course Description</th>
                            <th scope="col">Semester</th>
                            <th scope="col">Location</th>
                            <th scope="col">Remove</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for sch in schedule %}
                                <tr>
                                <td>{{ sch.course }}</td>    
                                <td>{{ sch.lecturer }}</td>
                                <td>{{ sch.number_of_credits }}</td>
                                <td>{{ sch.description }}</td>
                                <td>{{ sch.semester }}</td>
                                <td>{{ sch.place }}</td>
                                <td><a href="{% url 'scheduleremove' id=sch.id %}"><button class="btn btn-icon btn-danger"></button></a></td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    </div>
                </div>
                <div class="centre-items" style="padding-top:70px;">
                    <a href="/schedule/"><button class="btn btn-dark">Create Schedule</button></a>
                </div>
            </div>
        </section>

    </div>
{% endblock content %}

